summaryrefslogtreecommitdiff
path: root/pyraf
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-04-29 10:44:28 -0400
committerJoe Hunkeler <jhunk@stsci.edu>2016-04-29 10:44:28 -0400
commitde27e3341a0b40db8e69f747ceadd50c7171e2ef (patch)
tree7484de612c82d83ab599f8a221b13a1bdb771108 /pyraf
parent8834d907ad3db505b83940d854e4b8452644e5c6 (diff)
downloadastroconda-contrib-de27e3341a0b40db8e69f747ceadd50c7171e2ef.tar.gz
Fix pyraf
Diffstat (limited to 'pyraf')
-rw-r--r--pyraf/bld.bat1
-rw-r--r--pyraf/build.sh12
-rw-r--r--pyraf/meta.yaml22
3 files changed, 26 insertions, 9 deletions
diff --git a/pyraf/bld.bat b/pyraf/bld.bat
index 695f708..976d3b9 100644
--- a/pyraf/bld.bat
+++ b/pyraf/bld.bat
@@ -1,5 +1,4 @@
-pip install --no-deps --upgrade --force d2to1
if errorlevel 1 exit 1
python setup.py install
diff --git a/pyraf/build.sh b/pyraf/build.sh
index 60e0bea..1067454 100644
--- a/pyraf/build.sh
+++ b/pyraf/build.sh
@@ -1,4 +1,12 @@
+if [[ `uname -s` == "Darwin" ]]; then
+ export CFLAGS="-I/opt/X11/include"
+ export LDFLAGS="-L/opt/X11/lib"
+fi
-pip install --no-deps --upgrade --force d2to1 || exit 1
+if [[ $PY3K > 0 ]]; then
+set +e
+ 2to3 -w --fix=print .
+ 2to3 -w --fix=except .
+fi
-python setup.py install || exit 1 \ No newline at end of file
+python setup.py install || exit 1
diff --git a/pyraf/meta.yaml b/pyraf/meta.yaml
index 02a2824..23ea26a 100644
--- a/pyraf/meta.yaml
+++ b/pyraf/meta.yaml
@@ -1,18 +1,25 @@
+{% set name = 'pyraf' %}
+{% set version = '2.1.10' %}
+{% set number = '0' %}
+
about:
home: https://github.com/spacetelescope/pyraf
license: BSD
summary: pyraf
build:
- number: '0'
+ number: {{ number }}
package:
- name: pyraf
- version: 2.1.10
+ name: {{ name }}
+ version: {{ version }}
requirements:
build:
- d2to1
- astropy >=1.1
- ipython
- - stsci.distutils
+ - matplotlib
+ - pyobjc-core [osx]
+ - pyobjc-framework-cocoa [osx]
+ - pyobjc-framework-quartz [osx]
- stsci.tools
- setuptools
- numpy x.x
@@ -20,12 +27,15 @@ requirements:
run:
- astropy >=1.1
- ipython
- - stsci.distutils
+ - matplotlib
+ - pyobjc-core [osx]
+ - pyobjc-framework-cocoa [osx]
+ - pyobjc-framework-quartz [osx]
- stsci.tools
- numpy x.x
- python x.x
source:
- git_tag: 2.1.10
+ git_tag: {{ version }}
git_url: https://github.com/spacetelescope/pyraf
test:
commands: